View Issue Details

IDProjectCategoryView StatusLast Update
0014780LazarusIDEpublic2011-12-01 11:22
ReporterPhilip Assigned ToPaul Ishenin  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.26 
Fixed in Version0.9.27 (SVN) 
Summary0014780: Win32 apps stop when mouse clicked on title bar
DescriptionWhen I write a Win32 app and run it, the app stops running if the mouse is clicked (and held down) on the title bar of the app (for example if moving the app on the desktop). When the mouse button is released the app starts again.
For example a multithreaded app that has a background thread which increments a counter every 100ms, the counter stops counting when the titlebar is clicked (though it might be because it calls an "updategui" event handler that is stopping it because the gui thread has stopped, I don't know.)

This even effects the Lazarus IDE itself. Compile a program, and then click on the title bar of the "main bar" of Lazarus. Compilation of the program stops until you release the mouse.
Additional InformationAlso tried the Linux version of Lazarus. It doesn't have the bug.
TagsNo tags attached.
Fixed in Revision
LazTarget-
WidgetsetWin32/Win64
Attached Files

Activities

2009-10-11 23:45

 

threadtry1.zip (3,913 bytes)

Philip

2009-10-11 23:48

reporter   ~0031264

example program attached
select "count" or "time" from the combobox
click and hold the mouse button on the title bar (as if to move the window on the desktop)
observe that the counter/time stops incrementing until you let go of the mouse

Paul Ishenin

2009-10-12 09:59

manager   ~0031267

This was fixed long ago in 0.9.27

Philip

2009-10-13 18:29

reporter   ~0031292

I have upgraded to 0.9.28.
Now when I click (and hold down) on the title bar of an app it freezes for maybe one second and then comes back to life.
Why does it need to freeze for a second?
thanks

Paul Ishenin

2009-10-14 00:42

manager   ~0031299

Sorry, how can I help you? There is no timer code to make this work. If you want to look how this handles look for WM_NULL in the win32callback.inc file.

Issue History

Date Modified Username Field Change
2009-10-11 21:29 Philip New Issue
2009-10-11 21:29 Philip Widgetset => Win32/Win64
2009-10-11 23:45 Philip File Added: threadtry1.zip
2009-10-11 23:48 Philip Note Added: 0031264
2009-10-12 09:59 Paul Ishenin LazTarget => -
2009-10-12 09:59 Paul Ishenin Status new => resolved
2009-10-12 09:59 Paul Ishenin Fixed in Version => 0.9.27 (SVN)
2009-10-12 09:59 Paul Ishenin Resolution open => fixed
2009-10-12 09:59 Paul Ishenin Assigned To => Paul Ishenin
2009-10-12 09:59 Paul Ishenin Note Added: 0031267
2009-10-13 18:29 Philip Status resolved => assigned
2009-10-13 18:29 Philip Resolution fixed => reopened
2009-10-13 18:29 Philip Note Added: 0031292
2009-10-14 00:42 Paul Ishenin Status assigned => resolved
2009-10-14 00:42 Paul Ishenin Resolution reopened => fixed
2009-10-14 00:42 Paul Ishenin Note Added: 0031299
2011-12-01 11:22 Marc Weustink Status resolved => closed